# VecNormBegin

Starts a split phase norm computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecNormBegin(Vec x,NormType ntype,PetscReal *result)

### Input Parameters

| x | - the first vector
| ntype | - norm type, one of NORM_1, NORM_2, NORM_MAX, NORM_1_AND_2
| result | - where the result will go (can be PETSC_NULL)

### C++ variants

| VecNormBegin(Vec x) |  | -> |  | VecNormBegin(x,NORM_2,PETSC_NULL)
| VecNormBegin(Vec x,NormType t) |  | -> |  | VecNormBegin(x,t,PETSC_NULL)

### Notes

Each call to VecNormBegin() should be paired with a call to VecNormEnd().

### See Also

VecNormEnd(), VecNorm(), VecDot(), VecMDot(), VecDotBegin(), VecDotEnd()

Level:advanced
Location: src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex17.c.html